import "./App.css";
import React, { useContext } from "react";
import {
  BrowserRouter as Router,
  Route,
  Routes,
  Navigate,
} from "react-router-dom";

import Home from "./components/Home/Home";
import Login from "./components/Login/Login";
import PracticeHome from "./components/APITest/PracticeHome";

function App() {
  return (
    <Router>
      <div className="App">
        <Routes>
          <Route path="/login" element={<Login />} />
          <Route path="/home" element={<Home />} />
          <Route path="/practice" element={<PracticeHome />} />
        </Routes>
      </div>
    </Router>
  );
}

export default App;
